petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetInitialGuessKnoll

Tells the iterative solver to use PCApply(pc,b,..) to compute the initial guess (The Knoll trick)

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetInitialGuessKnoll(KSP ksp,PetscBool flg)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate() Many br
| flg | - PETSC_TRUE or PETSC_FALSE Many br

Many br

### Keywords

KSP, set, initial guess, nonzero

### See Also

KSPGetInitialGuessKnoll(), KSPSetInitialGuessNonzero(), KSPGetInitialGuessNonzero()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages